com.r3corda.node.services.statemachine / StateMachineManager / FiberRequest

# FiberRequest

`class FiberRequest`

### Types

ExpectingResponse | `class ExpectingResponse<R : Any> : FiberRequest`
NotExpectingResponse | `class NotExpectingResponse : FiberRequest`

### Constructors

<init> | `FiberRequest(topic: String, destination: MessageRecipients?, sessionIDForSend: Long, sessionIDForReceive: Long, payload: Any?)`

### Properties

destination | `val destination: MessageRecipients?`
payload | `val payload: Any?`
sessionIDForReceive | `val sessionIDForReceive: Long`
sessionIDForSend | `val sessionIDForSend: Long`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot`
topic | `val topic: String`

### Inheritors

ExpectingResponse | `class ExpectingResponse<R : Any> : FiberRequest`
NotExpectingResponse | `class NotExpectingResponse : FiberRequest`